# Weapon Things

***

## How do I make a shell casing according to weapon type

* Firstly, you should examine this native to find out the type of weapon.[ <mark style="color:orange;background-color:orange;">**GetWeapontypeGroup**</mark>](#user-content-fn-1)[^1]
* Secondly, you should choose the bullet case model. You can find this by searching the [<mark style="color:orange;background-color:orange;">**PlebMaster**</mark> ](#user-content-fn-2)[^2]site. Usually when you type Sheel, many models come out.
* After doing these first two operations, go to <mark style="color:orange;background-color:orange;">**wais-evidence/Config.lua**</mark>
* After finding the **Config.CaseModels** table, type the **group name** of the weapon type as in the example below.

```lua
Config.CaseModels = { -- Probe of the shell / bullet case sample to be formed on the ground when fired with a gun
    [`GROUP_SNIPER`] = "w_pi_singleshot_shell",
} 
```

***

## How do I add Blacklist Weapon

When adding a Blacklist weapon, you can add both weapon name specific and group.

* If you want to add it as a group, you can read the article [above about how to find the group name](#how-do-i-make-a-shell-casing-according-to-weapon-type) of the weapon.

```lua
Config.BlackListedWeapons = {
    ["weapons"] = {
        [`weapon_pistol`] = true,
        [`your_weapon_name`] = true,
    },
    ["group"] = {
        [`GROUP_MELEE`] = true,
        [`GROUP_THROWN`] = true,
        [`GROUP_STUNGUN`] = true,
        [`GROUP_PETROLCAN`] = true,
        [`GROUP_PARACHUTE`] = true,
    }
}
```

***

## Where can I change the weapon names that appear in the archive

* For this, you must visit the <mark style="color:orange;background-color:orange;">**Config.Weapons**</mark> table.
* After visiting the painting, you should look for the name of your weapon. Example: ***weapon\_pistol***
* After finding the weapon, you can change the visible name of your weapon from the **Label** variable in it.

```lua
Config.Weapons = {
    [`my_weapon`] = { label = 'My weapon label', weapontype = 'My weapon type' },
}
```

[^1]: <https://docs.fivem.net/natives/?_0xC3287EE3050FB74C>

[^2]: <https://forge.plebmasters.de>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.0resmon.org/0resmon/0resmon-1/wais-resoucres/wais-evidence/weapon-things.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
